Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - SSHKey

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

SSHKey

Migrates existing certificates to SSH key format

Converts existing certificate records to SSH key format for system upgrade.

Authorizations:
ApiKeyBearer

Responses

Response Schema:
any

Response samples

Content type
No sample

Generates a new SSH key pair for the organization

Generates new SSH key pair with specified algorithm and key strength.

Authorizations:
ApiKeyBearer
Request Body schema:

SSH key configuration including key type and metadata (username is required)

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
passPhrase
string or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
passPhrase
string or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "passPhrase": "string",
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Imports an existing SSH key into the organization

Imports existing SSH key into organization from provided key material.

Authorizations:
ApiKeyBearer
Request Body schema:

SSH key data including the key material and associated metadata

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
passPhrase
string or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
id
integer <int32>
username
string or null
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
hasPrivateKey
boolean
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "passPhrase": "string",
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Updates an existing SSH key configuration

Modifies SSH key metadata including name and description.

Authorizations:
ApiKeyBearer
Request Body schema:

Updated SSH key configuration including metadata and settings

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
passPhrase
string or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
id
integer <int32>
username
string or null
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
hasPrivateKey
boolean
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "passPhrase": "string",
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Retrieves all SSH keys for a specific organization

Returns list of SSH keys configured for an organization.

Authorizations:
ApiKeyBearer
query Parameters
organizationId
integer <int32>

Unique identifier of the organization to retrieve SSH keys for

Responses

Response Schema:
Array
id
integer <int32>
username
string or null
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
hasPrivateKey
boolean
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Response samples

Content type
No sample

Retrieves detailed information for a specific SSH key

Returns detailed SSH key information including algorithm, strength, and public key data.

Authorizations:
ApiKeyBearer
query Parameters
sshKeyId
integer <int32>

Unique identifier of the SSH key to retrieve

Responses

Response Schema:
id
integer <int32>
username
string or null
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
hasPrivateKey
boolean
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Response samples

Content type
No sample

Deletes a specific SSH key from the organization

Removes SSH key from organization configuration.

Authorizations:
ApiKeyBearer
query Parameters
sshKeyId
integer <int32>

Unique identifier of the SSH key to delete

Responses

Response samples

Content type
No sample